/*  
 *  - - - - - - - - - - - - - - -
 *   g a l _ e a r t h r o t . h
 *  - - - - - - - - - - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the Earth rotation sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file  
 *  
 *  Notes:
 *
 *  1) This header file is deprecated.
 * 
 *  This revision:  
 * 
 *     2009 January 9  
 *  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_EARTHROT_H_  
#define _GAL_EARTHROT_H_ 1  
  
#include "gal_ee00.h"  
#include "gal_ee00a.h"  
#include "gal_ee00b.h"  
#include "gal_ee06a.h"  
#include "gal_eect00.h"  
#include "gal_eqeq94.h"  
#include "gal_era00.h"  
#include "gal_gmst00.h"  
#include "gal_gmst06.h"  
#include "gal_gmst82.h"  
#include "gal_gst00a.h"  
#include "gal_gst00b.h"  
#include "gal_gst06.h"  
#include "gal_gst06a.h"  
#include "gal_gst94.h"  
  
#endif /* !_GAL_EARTHROT_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008, 2009 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
