/*  
 *  - - - - - - - - - - - - - - -
 *   g a l _ p s t r i n g s . h
 *  - - - - - - - - - - - - - - -
 *  
 *  This header file is part of the General Astrodynamics Library  
 *
 *  Description:
 *
 *     This header file includes all of the component header files
 *     for the pstrings sub-library.
 *  
 *  Status: 
 *  
 *     Sub-library header file
 *
 *  Includes:
 *
 *     gal_center.h
 *     gal_delete.h 
 *     gal_leftstr.h
 *     gal_insert.h
 *     gal_instr.h
 *     gal_justl.h
 *     gal_justr.h
 *     gal_midstr.h
 *     gal_padl.h
 *     gal_padr.h
 *     gal_replace.h
 *     gal_rightstr.h
 *     gal_strn.h
 *     gal_trim.h
 *     gal_triml.h
 *     gal_trimr.h
 *     gal_ucase.h 
 *  
 *  This revision:  
 * 
 *     2008 May 10  
 *  
 *  Copyright (C) 2008 Paul C. L. Willmott. See notes at end. 
 *  
 *-----------------------------------------------------------------------  
 */  

#ifndef _GAL_PSTRINGS_H_  
#define _GAL_PSTRINGS_H_ 1  
  
#include "gal_center.h"
#include "gal_delete.h"
#include "gal_leftstr.h"
#include "gal_insert.h"
#include "gal_instr.h"
#include "gal_justl.h"
#include "gal_justr.h"
#include "gal_midstr.h"
#include "gal_padl.h"
#include "gal_padr.h"
#include "gal_replace.h"
#include "gal_rightstr.h"
#include "gal_strn.h"
#include "gal_trim.h"
#include "gal_triml.h"
#include "gal_trimr.h"
#include "gal_ucase.h"
  
#endif /* !_GAL_PSTRINGS_H_ */ 

/*
 *  gal - General Astrodynamics Library  
 *  Copyright (C) 2008 Paul C. L. Willmott  
 *  
 *  This program is free software; you can redistribute it and/or modify  
 *  it under the terms of the GNU General Public License as published by  
 *  the Free Software Foundation; either version 2 of the License, or  
 *  (at your option) any later version.  
 *  
 *  This program is distributed in the hope that it will be useful,  
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of  
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 *  GNU General Public License for more details.  
 *  
 *  You should have received a copy of the GNU General Public License along  
 *  with this program; if not, write to the Free Software Foundation, Inc.,  
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.  
 *    
 *  Contact:  
 *    
 *  Paul Willmott  
 *  vp9mu@amsat.org  
 */  
  
